<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:elk="urn:cbr-ru:elk:v2024.1.0"
           xmlns:lt="urn:cbr-ru:elk:leaftypes:v2024.1.0"
           targetNamespace="urn:cbr-ru:elk:v2024.1.0"
           elementFormDefault="qualified"
           attributeFormDefault="unqualified"
           version="2024.1.0">
           
    <xs:include schemaLocation="cbr_ed_objects_v2024.1.0.xsd"/>
    <xs:import namespace="urn:cbr-ru:elk:leaftypes:v2024.1.0"
               schemaLocation="cbr_ed_leaftypes_v2024.1.0.xsd"/>
               
    <xs:element name="ED444"
                type="elk:ED444">
        <xs:annotation>
            <xs:documentation>Уведомление о приостановлении (возобновлении) права кредитной организации на получение кредитов Банка России</xs:documentation>
        </xs:annotation>
    </xs:element>
    
    <xs:complexType name="ED444">
        <xs:annotation>
            <xs:documentation>Уведомление о приостановлении (возобновлении) права кредитной организации на получение кредитов Банка России</xs:documentation>
        </xs:annotation>
        <xs:complexContent>
            <xs:extension base="elk:ESWithMandatoryEDReceiver">
                <xs:sequence>
                    <xs:element name="NotificationInfo"
                                type="elk:NotificationInfoGeneral">
                        <xs:annotation>
                            <xs:documentation>Реквизиты уведомления</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="COInfo"
                                type="elk:COInfo444">
                        <xs:annotation>
                            <xs:documentation>Реквизиты кредитной организации</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="SwitchInfo"
                                type="elk:SwitchInfo">
                        <xs:annotation>
                            <xs:documentation>Сведения о приостановлении (возобновлении) операций по предоставлению кредитов Банка России</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="SwitchInfoAdd"
                                type="elk:SwitchInfoAdd"
                                minOccurs="0">
                        <xs:annotation>
                            <xs:documentation>Сведения о приостановлении операций по предоставлению кредитов Банка России. ДОПОЛНЕНИЕ</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:extension>
        </xs:complexContent>
    </xs:complexType>
    
    <xs:complexType name="COInfo444">
        <xs:annotation>
            <xs:documentation>Реквизиты кредитной организации</xs:documentation>
        </xs:annotation>
        <xs:sequence>
            <xs:element name="COInfoLevel"
                        type="elk:COInfoLevelWithRenewal"
                        minOccurs="0">
                <xs:annotation>
                    <xs:documentation>Реквизит для указания уровня приостановления (возобновления) операций</xs:documentation>
                </xs:annotation>
            </xs:element>
        </xs:sequence>
        <xs:attribute name="CORegNo"
                      type="lt:Max10TextType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Регистрационный номер КО</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="COFullName"
                      type="lt:Max255TextType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Полное наименование КО</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="CreditConsDate"
                      type="lt:DateType">
            <xs:annotation>
                <xs:documentation>Дата кредитного договора (соглашения), заключенного с Банком России</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="CreditConsNo"
                      type="lt:Max10TextType">
            <xs:annotation>
                <xs:documentation>Номер кредитного договора (соглашения), заключенного с Банком России</xs:documentation>
            </xs:annotation>
        </xs:attribute>
    </xs:complexType>
    
    <xs:complexType name="COInfoLevelWithRenewal">
        <xs:annotation>
            <xs:documentation>Реквизит для указания уровня приостановления (возобновления) операций</xs:documentation>
        </xs:annotation>
        <xs:attribute name="Acc"
                      type="lt:AccountNumberRUIDType">
            <xs:annotation>
                <xs:documentation>Номер основного счета КО</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="FCORegNo"
                      type="lt:Max10TextType">
            <xs:annotation>
                <xs:documentation>Регистрационный номер филиала КО</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="FCOFullName"
                      type="lt:Max255TextType">
            <xs:annotation>
                <xs:documentation>Наименование филиала КО</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="CreditOpMethod2">
            <xs:annotation>
                <xs:documentation>Способ проведения кредитной операции (2)</xs:documentation>
            </xs:annotation>
            <xs:simpleType>
                <xs:restriction base="lt:OneDigitCodeType">
                  <xs:enumeration value="1">
                    <xs:annotation>
                      <xs:documentation>Кредиты, кроме внутридневных кредитов и кредитов овернайт</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                  <xs:enumeration value="2">
                    <xs:annotation>
                      <xs:documentation>Внутридневные кредиты и кредиты овернайт</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                </xs:restriction>
            </xs:simpleType>
        </xs:attribute>
        <xs:attribute name="AssetType">
            <xs:annotation>
                <xs:documentation>Тип используемого обеспечения</xs:documentation>
            </xs:annotation>
            <xs:simpleType>
                <xs:restriction base="lt:OneDigitCodeType">
                  <xs:enumeration value="1">
                    <xs:annotation>
                      <xs:documentation>Кредиты под залог (блокировку) ценных бумаг из Ломбардного списка Банка России, кроме ДМ (дополнительный механизм предоставления ликвидности)</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                  <xs:enumeration value="2">
                    <xs:annotation>
                      <xs:documentation>Кредиты, обеспеченные нерыночными активами, кроме ДМ (дополнительный механизм предоставления ликвидности)</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                  <xs:enumeration value="8">
                    <xs:annotation>
                      <xs:documentation>Кредиты в рамках ДМ (дополнительный механизм предоставления ликвидности), обеспеченные нерыночными активами</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                  <xs:enumeration value="9">
                    <xs:annotation>
                      <xs:documentation>Кредиты в рамках ДМ (дополнительный механизм предоставления ликвидности) под залог (блокировку) ценных бумаг из Ломбардного списка Банка России</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                </xs:restriction>
            </xs:simpleType>
        </xs:attribute>
        <xs:attribute name="NotificationText"
                      type="lt:Max255TextType">
            <xs:annotation>
                <xs:documentation>Уточнение уровня приостановления (возобновления) операций. Реквизит для указания уровня приостановления (возобновления) права на получение кредитов Банка России</xs:documentation>
            </xs:annotation>
        </xs:attribute>
    </xs:complexType>
    
    <xs:complexType name="COInfoLevel">
        <xs:annotation>
            <xs:documentation>Реквизит для указания уровня приостановления операций</xs:documentation>
        </xs:annotation>
        <xs:attribute name="CreditConsDate"
                      type="lt:DateType">
            <xs:annotation>
                <xs:documentation>Дата кредитного договора (соглашения), заключенного с Банком России</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="CreditConsNo"
                      type="lt:Max10TextType">
            <xs:annotation>
                <xs:documentation>Номер кредитного договора (соглашения), заключенного с Банком России</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="Acc"
                      type="lt:AccountNumberRUIDType">
            <xs:annotation>
                <xs:documentation>Номер основного счета КО</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="FCORegNo"
                      type="lt:Max10TextType">
            <xs:annotation>
                <xs:documentation>Регистрационный номер филиала КО</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="FCOFullName"
                      type="lt:Max255TextType">
            <xs:annotation>
                <xs:documentation>Наименование филиала КО</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="CreditOpMethod2">
            <xs:annotation>
                <xs:documentation>Способ проведения кредитной операции (2)</xs:documentation>
            </xs:annotation>
            <xs:simpleType>
                <xs:restriction base="lt:OneDigitCodeType">
                  <xs:enumeration value="1">
                    <xs:annotation>
                      <xs:documentation>Кредиты, кроме внутридневных кредитов и кредитов овернайт</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                  <xs:enumeration value="2">
                    <xs:annotation>
                      <xs:documentation>Внутридневные кредиты и кредиты овернайт</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                </xs:restriction>
            </xs:simpleType>
        </xs:attribute>
        <xs:attribute name="AssetType">
            <xs:annotation>
                <xs:documentation>Тип используемого обеспечения</xs:documentation>
            </xs:annotation>
            <xs:simpleType>
                <xs:restriction base="lt:OneDigitCodeType">
                  <xs:enumeration value="1">
                    <xs:annotation>
                      <xs:documentation>Кредиты под залог (блокировку) ценных бумаг из Ломбардного списка Банка России, кроме ДМ (дополнительный механизм предоставления ликвидности)</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                  <xs:enumeration value="2">
                    <xs:annotation>
                      <xs:documentation>Кредиты, обеспеченные нерыночными активами, кроме ДМ (дополнительный механизм предоставления ликвидности)</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                  <xs:enumeration value="8">
                    <xs:annotation>
                      <xs:documentation>Кредиты в рамках ДМ (дополнительный механизм предоставления ликвидности), обеспеченные нерыночными активами</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                  <xs:enumeration value="9">
                    <xs:annotation>
                      <xs:documentation>Кредиты в рамках ДМ (дополнительный механизм предоставления ликвидности) под залог (блокировку) ценных бумаг из Ломбардного списка Банка России</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                </xs:restriction>
            </xs:simpleType>
        </xs:attribute>
        <xs:attribute name="NotificationText"
                      type="lt:Max255TextType">
            <xs:annotation>
                <xs:documentation>Уточнение уровня приостановления операций</xs:documentation>
            </xs:annotation>
        </xs:attribute>
    </xs:complexType>
    
    <xs:complexType name="SwitchInfo">
        <xs:annotation>
            <xs:documentation>Сведения о приостановлении (возобновлении) операций по предоставлению кредитов Банка России</xs:documentation>
        </xs:annotation>
        <xs:attribute name="SwitchDate"
                      type="lt:DateType"
                      use="required">
            <xs:annotation>
                <xs:documentation>Дата приостановления (возобновления) операций по предоставлению кредитов Банка России</xs:documentation>
            </xs:annotation>
        </xs:attribute>
        <xs:attribute name="SwitchFlag"
                      use="required">
            <xs:annotation>
                <xs:documentation>Признак приостановления (возобновления) права на получение кредитов Банка России</xs:documentation>
            </xs:annotation>
            <xs:simpleType>
                <xs:restriction base="lt:OneDigitCodeType">
                  <xs:enumeration value="0">
                    <xs:annotation>
                      <xs:documentation>операции приостановлены</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                  <xs:enumeration value="1">
                    <xs:annotation>
                      <xs:documentation>операции возобновлены</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                </xs:restriction>
            </xs:simpleType>
        </xs:attribute>
    </xs:complexType>
    
    <xs:complexType name="SwitchInfoAdd">
        <xs:annotation>
            <xs:documentation>Сведения о приостановлении операций по предоставлению кредитов Банка России. ДОПОЛНЕНИЕ</xs:documentation>
        </xs:annotation>
        <xs:sequence>
            <xs:element name="COInfoLevel"
                        type="elk:COInfoLevel"
                        maxOccurs="unbounded">
                <xs:annotation>
                    <xs:documentation>Реквизит для указания уровня приостановления операций</xs:documentation>
                </xs:annotation>
            </xs:element>
        </xs:sequence>
        <xs:attribute name="SwitchFlagAdd"
                      use="required">
            <xs:annotation>
                <xs:documentation>Признак приостановления (возобновления) права на получение кредитов Банка России</xs:documentation>
            </xs:annotation>
            <xs:simpleType>
                <xs:restriction base="lt:OneDigitCodeType">
                  <xs:enumeration value="0">
                    <xs:annotation>
                      <xs:documentation>операции приостановлены</xs:documentation>
                    </xs:annotation>
                  </xs:enumeration>
                </xs:restriction>
            </xs:simpleType>
        </xs:attribute>
    </xs:complexType>
    
</xs:schema>
